Page MenuHomeFreeBSD

print/frescobaldi: Fixed manpages location; Added USES=desktop-file-utils; Added python version spec.
ClosedPublic

Authored by ultima on Aug 21 2017, 2:54 AM.

Details

Summary
  • Bump revision, fixed manpages location
  • Added desktop-file-utils
  • Max python version specified
  • Cleanup Makefile

PR\: 221457
Submitted by\: Yuri Victorovich
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor), <martin.dieringer@gmx.de> (maintainer, pending approval)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: Consider adding support for a NLS knob to conditionally disable gettext support.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 3 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 11189
Build 11570: arc lint + arc unit

Event Timeline

ultima created this revision.Aug 21 2017, 2:54 AM
ultima updated this revision to Diff 32291.Aug 21 2017, 5:51 AM

Added NO_ARCH=yes

matthew edited edge metadata.Aug 23 2017, 5:37 AM

Sorry about not responding on this for so long. I'm getting a failure of a dependency (print/fontforge) in my test builds.

print/frescobaldi/Makefile
19

So python-3.3 is OK, but python-3.4 and python-3.5 aren't? That's unusual.
Normally it's python-2.x is OK, and python-3.x aren't.

lifanov accepted this revision.Aug 24 2017, 4:00 PM

I tested this. Looks good! Please commit when ready.

This revision is now accepted and ready to land.Aug 24 2017, 4:00 PM
ultima added inline comments.Aug 24 2017, 7:48 PM
print/frescobaldi/Makefile
19

I'm pretty sure -3.4 means any python version 3.4 and below, and that is what is defined in the setup.py. Not sure why it wouldn't be buildable after that, but the newest version of the port, 3.0 has version 3.3-3.5 listed in setup.py.

This revision was automatically updated to reflect the committed changes.